org.flexdock.docking.defaults

## Class DockablePropertyChangeHandler

- java.lang.Object
- - org.flexdock.docking.defaults.DockablePropertyChangeHandler

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener

    public class DockablePropertyChangeHandler
    extends java.lang.Object
    implements java.beans.PropertyChangeListener

Author:
  Christopher Butler

### Nested Class Summary

Nested Classes
`static class` `DockablePropertyChangeHandler.Factory`

### Field Summary

Fields
`static DockablePropertyChangeHandler` `DEFAULT_INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`DockablePropertyChangeHandler()`

### Method Summary

Methods
`void` `propertyChange(java.beans.PropertyChangeEvent evt)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_INSTANCE

    public static final DockablePropertyChangeHandler DEFAULT_INSTANCE

### Constructor Detail

#### DockablePropertyChangeHandler

    public DockablePropertyChangeHandler()

### Method Detail

#### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

Specified by:
  `propertyChange` in interface `java.beans.PropertyChangeListener`